Support » Plugin: Smart Archives Reloaded » How to Fix PHP7 Error

  • IMHO, this is still the best archive plugin out there, so I obstinately want to keep using it even though it is abandoned. If you too like it, feel free to follow the below steps to remove this PHP7 error:

    SAR_Settings::validate($args) should be compatible with scbAdminPage::validate($new_data, $old_data) in /home/airfor43/public_html/wp-content/plugins/smart-archives-reloaded_/admin/admin.php on line 113

    Step 1: ftp into your file structure
    Step 2: Navigate to “/public_html/wp-content/plugins/smart-archives-reloaded_/admin”
    Step 3: Edit “admin.php”
    Step 4: Modify the line of code as detailed below…
    – OLD: function validate( $args ) {
    – NEW: function validate( $args, $garbage ) {
    Step 5: Save and the error should go away on refresh

    Enjoy 🙂

    Hopefully someone will fork this plugin soon…

Viewing 4 replies - 1 through 4 (of 4 total)
Viewing 4 replies - 1 through 4 (of 4 total)
  • You must be logged in to reply to this topic.